# $Id: Makefile,v 1.3 2008-07-26 02:09:09 bills Exp $

PDFLATEX = env TEXINPUTS=.:LaTeX:$(TEXINPUTS): pdflatex
PSLATEX  = env TEXINPUTS=.:LaTeX:$(TEXINPUTS): latex

help:
	@echo "USAGE: make (target)"
	@echo "  targets: all cd design icd"

cd: stampsCD.pdf

design: stampsDesign.pdf

icd:    stampsICD.pdf

all : cd design icd

CD = stampsCD.tex
DESIGN = stampsDesign.tex

stampsCD.pdf: $(SDRS)

stampsDesign.pdf: $(DESIGN)

stampsICD.pdf:  stampsICD.tex

add-tag:
	cvs tag `grep "version{" psLibADD.tex | tr "{}" " " | awk '{printf "ADD-%02d\n", $$2}'` $(ADD)

%.pdf: %.tex
	$(PSLATEX) $*.tex 
	$(PSLATEX) $*.tex 
	dvips -z -t letter -o $*.ps $*.dvi
	ps2pdf $*.ps $*.pdf
	thumbpdf --modes=dvips $*.pdf
	$(PSLATEX) $*.tex 
	dvips -z -t letter -o $*.ps $*.dvi
	ps2pdf $*.ps $*.pdf
	@rm -f $*.ps $*.dvi $*.aux $*.log $*.tbr $*.tbd $*.toc $*.tpm $*.lof body.tmp head.tmp

clean :
	$(RM) *.log *.dvi *.aux *.toc *.tbd *.tbr *.tpm *.lof *.out *~ core body.tmp head.tmp

dist : clean
	$(RM) *.pdf

empty: clean
